import React from "react";
import './main.css'

import { useSelector } from "react-redux";
import { selectAuthenticated } from "./stateSlicers/authenticationSlice";

import FleetManager from "./components/FleetManager";
import Login from "./components/Login";

function App () {
  const authed = useSelector(selectAuthenticated);
  return (
      (authed)
        ? <FleetManager />
        : <Login />
  )
}

export default App;
